nvme_ctrl_find(2)

NAME
nvme_ctrl_find - Locate an existing controller

SYNOPSIS
nvme_ctrl_t nvme_ctrl_find (nvme_subsystem_t s , const char *transport , const char *traddr , const char *trsvcid , const char *subsysnqn , const char *host_traddr , const char *host_iface );

ARGUMENTS

s   nvme_subsystem_t object

transport
    Transport name

traddr
    Transport address

trsvcid
    Transport service identifier

subsysnqn
    Subsystem NQN

host_traddr
    Host transport address

host_iface
    Host interface name

DESCRIPTION
Lookup a controller in s based on transport, traddr, trsvcid, subsysnqn, host_traddr, and host_iface. transport must be specified, other fields may be required depending on the transport. Parameters set to NULL will be ignored.

Unlike nvme_lookup_ctrl, this function does not create a new object if an existing controller cannot be found.

RETURN
Controller instance on success, NULL otherwise.